﻿@model MultipleRegisterFilterViewModel
@{
    var SelectedDays = ViewBag.SelectedDays as List<DayOfWeek>;
    var dateParts = ViewBag.dateParts as List<string>;
}

<form method="get">
    @Html.HiddenFor(M => M.Tab)
    <div class="clearfix"></div>
    @if (Model.ShowGrade || Model.ShowCity || Model.ShowCategory || Model.ShowAddress || Model.ShowLocationName || Model.ShowStatus || Model.ShowWeekday)
    {
        <div class="filter-box-inline">

            @if (Model.ShowAddress)
            {
                <div class="single-filter">
                    <div class="form-group">
                        <label  for="addressFilter">Address</label>

                        @Html.DropDownListFor(M => M.SelectedAddress, new SelectList(Model.ProgramsAddress, "Value", "Text"), " All", new { @class = "form-control", @data_jb_view = "filterAddress" })

                    </div>
                </div>
            }
            @if (Model.ShowLocationName)
            {
                <div class="single-filter">
                    <div class="form-group">
                        <label for="locationFilter">Location </label>

                        @Html.DropDownListFor(M => M.SelectedLocationName, new SelectList(Model.ProgramsLocationName, "Value", "Text"), " All", new { @class = "form-control", @data_jb_view = "filterLocation" })
                    </div>
                </div>
            }
            @if (Model.ShowGrade)
            {
                <div class="single-filter">
                    <div class="form-group">
                        <label for="gradeFilter">Grade</label>
                        @Html.DropDownListFor(M => M.SelectedGrade, new SelectList(Model.Grades, "Value", "Text"), new { @class = "form-control", @data_jb_view = "filterGrade" })

                    </div>
                </div>
            }
            @if (Model.ShowCategory)
            {
                <div class="single-filter">
                    <div class="form-group">
                        <label for="categoriesFilter">Categories</label>
                        @Html.DropDownListFor(M => M.SelectedCategory, new SelectList(Model.ProgramsCategory, "Value", "Text"), " All", new { @class = "form-control" , @data_jb_view = "Categories" })


                    </div>
                </div>
            }
            @if (Model.ShowCity)
            {
                <div class="single-filter">
                    <div class="form-group">
                        <label for="cityFilter">City</label>

                        @Html.DropDownListFor(M => M.SelectedCity, new SelectList(Model.ProgramsCity, "Value", "Text"), " All", new { @class = "form-control", @data_jb_view = "filterCity" })

                    </div>
                </div>
            }
            @if (Model.ShowStatus)
            {
                <div class="single-filter">
                    <div class="form-group">
                        <label for="statusFilter">Status</label>
                        @Html.DropDownList("SelectedStatus", new List<SelectListItem>

                 {
                    new SelectListItem{ Text="All", Value = "All" },
                    new SelectListItem{ Text="Scheduled", Value = "Scheduled" },
                    new SelectListItem{ Text="Confirmed", Value = "Confirmed" },
                    new SelectListItem{ Text="Full", Value = "Full" },
                    new SelectListItem{ Text="Canceled", Value = "Canceled" },

                 }, new { @class = "form-control", @data_jb_view = "filterStatus" })

                    </div>
                </div>
            }
          

         
            <div>
                @if (Model.ShowWeekday)
                {
                    <div class="form-group" style="display: inline-block; width: auto; vertical-align: middle;">
                        <label>Days</label>
                        @Html.HiddenFor(M => M.selectedDays, new { name = "selectedDays" })
                        @Html.HiddenFor(M => M.datePart, new { name = "datePart" })
                        @if (SelectedDays != null && SelectedDays.Count > 0)
                    {
                            <div class="clearfix"></div>
                            <ul id="daysFilter" data-jb-view="filterDays" class="multi-select-filter">

                                @if (SelectedDays.Contains(DayOfWeek.Sunday))
                                {
                                    <li id="daySunday" data-day="Sunday" title="Sunday" class="acrive-day">S</li> }
                                else
                                {
                                    <li id="daySunday" title="Sunday" data-day="Sunday">S</li>}
                                @if (SelectedDays.Contains(DayOfWeek.Monday))
                                {
                                    <li id="dayMonday" data-day="Monday" title="Monday" class="acrive-day">M</li> }
                                else
                                {
                                    <li id="dayMonday" title="Monday" data-day="Monday">M</li>}

                                @if (SelectedDays.Contains(DayOfWeek.Tuesday))
                                {
                                    <li id="dayTuesday" data-day="Tuesday" title="Tuesday" class="acrive-day">T</li> }
                                else
                                {
                                    <li id="dayTuesday" title="Tuesday" data-day="Tuesday">T</li>}
                                @if (SelectedDays.Contains(DayOfWeek.Wednesday))
                                {
                                    <li id="dayWednesday" data-day="Wednesday" title="Wednesday" class="acrive-day">W</li> }
                                else
                                {
                                    <li id="dayWednesday" title="Wednesday" data-day="Wednesday">W</li>}
                                @if (SelectedDays.Contains(DayOfWeek.Thursday))
                                {
                                    <li id="dayThursday" data-day="Thursday" title="Thursday" class="acrive-day">T</li> }
                                else
                                {
                                    <li id="dayThursday" data-day="Thursday" title="Thursday">T</li>}
                                @if (SelectedDays.Contains(DayOfWeek.Friday))
                                {
                                    <li id="dayFriday" data-day="Friday" title="Friday" class="acrive-day">F</li> }
                                else
                                {
                                    <li id="dayFriday" title="Friday" data-day="Friday">F</li>}
                                @if (SelectedDays.Contains(DayOfWeek.Saturday))
                                {
                                    <li id="daySaturday" title="Saturday" data-day="Saturday" class="acrive-day">S</li> }
                                else
                                {
                                    <li id="daySaturday" title="Saturday" data-day="Saturday">S</li>}

                            </ul>

                        }
                        else
                        {
                            <div class="clearfix"></div>
                            <ul data-jb-view="filterDays" id="daysFilter" class="multi-select-filter">
                                <li id="daySunday" data-day="Sunday" title="Sunday">S</li>
                                <li id="dayMonday" data-day="Monday" title="Monday">M</li>
                                <li id="dayTuesday" data-day="Tuesday" title="Tuesday">T</li>
                                <li id="dayWednesday" data-day="Wednesday" title="Wednesday">W</li>
                                <li id="dayThursday" data-day="Thursday" title="Thursday">T</li>
                                <li id="dayFriday" data-day="Friday" title="Friday">F</li>
                                <li id="daySaturday" data-day="Saturday" title="Saturday">S</li>
                            </ul>
                        }


                        <ul data-jb-view="filterAMPM" id="ampmFilter" class="multi-select-filter">
                            @if (dateParts != null && dateParts.Count > 0)
                            {
                                if (dateParts.Contains("AM"))
                                {
                                    <li id="filterAM" data-datepart="AM" class="acrive-day">AM</li> }
                                else
                                {
                                    <li id="filterAM" data-datepart="AM">AM</li>}
                                if (dateParts.Contains("PM"))
                                {
                                    <li id="filterPM" data-datepart="PM" class="acrive-day">PM</li> }
                                else
                                {
                                    <li id="filterPM" data-datepart="PM">PM</li>}

                            }
                            else
                            {
                                <li id="filterAM" data-datepart="AM">AM</li>
                                <li id="filterPM" data-datepart="PM">PM</li>
                            }
                        </ul>
                    </div>
                }
        
                <button class="btn btn-sm btn-primary btn-filter" data-jb-view="btnFilter" style="vertical-align: bottom; margin: 0;" type="submit">Filter</button>
            </div>
           
            <div class="clearfix"></div>
        </div>
    }
</form>
<script>
    jQuery(function ($) {
        var selectedDays = [], selectedDatePart = [];
     
        if ($("#selectedDays").val() != null && $("#selectedDays").val() != 'undefined' && $("#selectedDays").val().length) {
            selectedDays = JSON.parse($("#selectedDays").val());
        }
        if ($("#datePart").val() != null && $("#datePart").val() != 'undefined' && $("#datePart").val().length) {
            selectedDatePart = JSON.parse($("#datePart").val());
        }

      
        $("#daysFilter li").on("click", function () {
            var day = $(this).data("day");

            if (selectedDays.length == 0) {
                selectedDays.push(day);
                $(this).addClass("acrive-day");
            }
            else {
                var findRepeat = false;
                for (var wl = 0 ; wl <= selectedDays.length; wl++) {
                    if (selectedDays[wl] == day) {
                        selectedDays.splice(wl, 1);
                        $(this).removeClass("acrive-day");
                        findRepeat = true;
                    }
                }
                if (!findRepeat) {
                    selectedDays.push(day);
                    $(this).addClass("acrive-day");
                }

            }
            $("#selectedDays").val(JSON.stringify(selectedDays));
           

        });
        $("#ampmFilter li").on("click", function () {
            var datePart = $(this).data("datepart");

            if (selectedDatePart.length == 0) {
                selectedDatePart.push(datePart);
                $(this).addClass("acrive-day");
            }
            else {
                var findRepeat = false;
                for (var wl = 0 ; wl <= selectedDatePart.length; wl++) {
                    if (selectedDatePart[wl] == datePart) {
                        selectedDatePart.splice(wl, 1);
                        $(this).removeClass("acrive-day");
                        findRepeat = true;
                    }
                }
                if (!findRepeat) {
                    selectedDatePart.push(datePart);
                    $(this).addClass("acrive-day");
                }

            }
            $("#datePart").val(JSON.stringify(selectedDatePart));


        });
    });
</script>